package cn.superdesk.uniorder.dao.mapper.accounting.score.customer;

import cn.superdesk.uniorder.dao.entity.accounting.score.customer.AccountingScoreCustomerXCredit;
import cn.superdesk.uniorder.dao.entity.accounting.score.customer.AccountingScoreCustomerXCreditExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AccountingScoreCustomerXCreditMapper {
    long countByExample(AccountingScoreCustomerXCreditExample example);

    int deleteByExample(AccountingScoreCustomerXCreditExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AccountingScoreCustomerXCredit record);

    int insertSelective(AccountingScoreCustomerXCredit record);

    List<AccountingScoreCustomerXCredit> selectByExample(AccountingScoreCustomerXCreditExample example);

    AccountingScoreCustomerXCredit selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AccountingScoreCustomerXCredit record, @Param("example") AccountingScoreCustomerXCreditExample example);

    int updateByExample(@Param("record") AccountingScoreCustomerXCredit record, @Param("example") AccountingScoreCustomerXCreditExample example);

    int updateByPrimaryKeySelective(AccountingScoreCustomerXCredit record);

    int updateByPrimaryKey(AccountingScoreCustomerXCredit record);
}
